Map canvas gets stuck after doing pan on a null geometry feature

2016-06-23 12:58 PM - Tudor Bărăscu

Status: Closed

Priority: Normal

Assignee: Matthias Kuhn

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Debian Stretch Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23063

Description

When running the "Pan map to the selected rows" tool on a row that has NULL geometry the canvas gets stuck to the extent.

Using the pan tool is useless as the canvas is frozen in that position.

You can unfreeze the canvas by clicking "Zoom to Extents" or "Zoom last tools".

I've tested with QGIS 2.4.3 and Master on Debian Stretch, with Sqlite and Postgis as data sources.

I'm attaching data to reproduce the problem.

Steps to reproduce:

- Open project

- Open attribute table and select only the row with id 2 or name "No geometry" 

- Press the "Pan map to the selected rows" 

- Try to pan the map

Associated revisions

Revision 0bac4b86 - 2016-06-26 11:44 AM - Matthias Kuhn 

Don't lock canvas when trying to pan to null geometry

Fix #15122

Revision 925d14b2 - 2016-06-26 05:33 PM - Matthias Kuhn 

Don't lock canvas when trying to pan to null geometry

Fix #15122

History

#1 - 2016-06-23 01:02 PM - Tudor Bărăscu

tested in QGIS 2.14.3 (not 2.4.3.. typo). Can't seem to be able to update my original posting.

#2 - 2016-06-23 08:58 PM - dr -
Confirm. Faced with the same issue. Also you can freeze canvas by zooming out with mouse wheel.

#3 - 2016-06-26 02:13 AM - Matthias Kuhn

- Assignee set to Matthias Kuhn

#4 - 2016-06-26 02:53 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"0bac4b86125b511f9022784eadcaca985ca7af38".

Files

pan_bug.zip 58.7 KB 2016-06-23 Tudor Bărăscu
